W3C home > Mailing lists > Public > public-qa-dev@w3.org > May 2006

Re: packaging markup validator v0.7.2

From: Frederic Schutz <schutz@mathgen.ch>
Date: Tue, 16 May 2006 19:25:20 +0200
Message-ID: <446A0B00.40402@mathgen.ch>
To: olivier Thereaux <ot@w3.org>, public-qa-dev@w3.org

olivier Thereaux wrote:

>> just a quick note to let you know that version 0.7.2 of the validator
>> has been uploaded to the Debian archive today !
>
> That's some excellent news, thank you Frederic.

No problem; sorry for having taken a bit longer than what I wanted.

You'll find below an inlined patch with suggested changes for the
documentation file source/index.html. Basically, everything is easier
now, and I don't need to provide packages on my own server anymore,
since they are in Debian already.

If anyone is interested, I could provide backports to Debian Sarge
(which still includes version 0.6.7 of the validator, and always
will), but noone has suggested this so far.

All the best,

Frédéric



--- index.html  2006-01-28 18:26:30.000000000 +0100
+++ /home/schutz/debian/w3c-markup-validator/w3c-markup-validator-0.7.2/htdocs/source/index.html        2006-05-16 19:13:02.000000000 +0200
@@ -130,24 +130,17 @@
             A Debian package is available, courtesy of Fr&eacute;d&eacute;ric
             Sch&uuml;tz.
           </p>
-          <ul>
-            <li>
-            If you are using the Debian Testing or Unstable distribution, the
-            package is already included in the offical archive and you can
-            directly use the <kbd>apt-get</kbd> command if your
-            /etc/apt/sources.list file is correctly configured.
-            </li>
-            <li>
-            If you are using the stable (woody) Debian distribution, add the
-            following line in the /etc/apt/sources.list file.
-            <pre><kbd>deb http://www.mathgen.ch/debian/woody ./</kbd></pre>
-            </li>
-          </ul>
           <p>
-            Running the command <kbd>apt-get install w3c-markup-validator</kbd>
-            as root will then install all the packages needed.
+            Starting with Debian 3.1 ("Sarge"), the package and all its
+            dependencies are included in the official Debian distribution, and
+            can be installed by running the command <kbd>apt-get install
+            w3c-markup-validator</kbd> as root.
+          </p>
+          <p>
+            Debian Sarge includes version 0.6.7 of the validator; the Debian
+            Testing and Unstable distributions usually include the latest
+            version.
           </p>
-
         <h4><a id="CVS" name="CVS"></a>CVS repository</h4>
           <p>
             If you intend to actively mirror the code and/or contribute
Received on Tuesday, 16 May 2006 17:43:22 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Thursday, 19 August 2010 18:12:46 GMT